<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WPBakery Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$preston_content = '';
$preston_blog_archive_mask = '%%CONTENT%%';
$preston_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $preston_blog_archive_mask);
if ( have_posts() ) {
	the_post(); 
	if (($preston_content = apply_filters('the_content', get_the_content())) != '') {
		if (($preston_pos = strpos($preston_content, $preston_blog_archive_mask)) !== false) {
			$preston_content = preg_replace('/(\<p\>\s*)?'.$preston_blog_archive_mask.'(\s*\<\/p\>)/i', $preston_blog_archive_subst, $preston_content);
		} else
			$preston_content .= $preston_blog_archive_subst;
		$preston_content = explode($preston_blog_archive_mask, $preston_content);
	}
}

// Make new query
$preston_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$preston_args = preston_query_add_posts_and_cats($preston_args, '', preston_get_theme_option('post_type'), preston_get_theme_option('parent_cat'));
$preston_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($preston_page_number > 1) {
	$preston_args['paged'] = $preston_page_number;
	$preston_args['ignore_sticky_posts'] = true;
}
$preston_ppp = preston_get_theme_option('posts_per_page');
if ((int) $preston_ppp != 0)
	$preston_args['posts_per_page'] = (int) $preston_ppp;

query_posts( $preston_args );

// Set query vars in the new query!
if (is_array($preston_content) && count($preston_content) == 2) {
	set_query_var('blog_archive_start', $preston_content[0]);
	set_query_var('blog_archive_end', $preston_content[1]);
}

get_template_part('index');
?>