<?php
/**
 * The Classic template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

$preston_blog_style = explode('_', preston_get_theme_option('blog_style'));
$preston_columns = empty($preston_blog_style[1]) ? 2 : max(2, $preston_blog_style[1]);
$preston_expanded = !preston_sidebar_present() && preston_is_on(preston_get_theme_option('expand_content'));
$preston_post_format = get_post_format();
$preston_post_format = empty($preston_post_format) ? 'standard' : str_replace('post-format-', '', $preston_post_format);
$preston_animation = preston_get_theme_option('blog_animation');


if (!in_array($preston_post_format, array('audio', 'quote'))) {
?><div class="column-1_<?php echo esc_attr($preston_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_classic post_layout_classic_'.esc_attr($preston_columns).' post_format_'.esc_attr($preston_post_format) ); ?>
	<?php echo (!preston_is_off($preston_animation) ? ' data-animation="'.esc_attr(preston_get_animation_classes($preston_animation)).'"' : ''); ?>
	>

	<?php

	// Featured image
	preston_show_post_featured( array( 'thumb_size' => preston_get_thumb_size(
													strpos(preston_get_theme_option('body_style'), 'full')!==false 
														? ( $preston_columns > 2 ? 'big' : 'huge' )
														: (	$preston_columns > 2
															? ($preston_expanded ? 'med' : 'small')
															: ($preston_expanded ? 'big' : 'med')
															)
														)
										) );

	if ( !in_array($preston_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
            do_action('preston_action_before_post_meta');
            // Post meta
            preston_show_post_meta(array(
                    'categories' => false,
                    'author' => false,
                    'date' => true,
                    'edit' => false,
                    'seo' => false,
                    'share' => false,
                    'counters' => ''
                )
            );


			do_action('preston_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$preston_show_learn_more = true;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($preston_post_format, array('link', 'aside', 'status', 'quote'))) {
				the_content();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php

        // Post meta
        preston_show_post_meta(array(
                'categories' => false,
                'author' => true,
                'date' => false,
                'edit' => false,
                'seo' => false,
                'share' => false,
                'counters' => 'views,comments'
            )
        );
		// More button
		if ( $preston_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'preston'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div><?php
}