<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

$preston_blog_style = explode('_', preston_get_theme_option('blog_style'));
$preston_columns = empty($preston_blog_style[1]) ? 2 : max(2, $preston_blog_style[1]);
$preston_post_format = get_post_format();
$preston_post_format = empty($preston_post_format) ? 'standard' : str_replace('post-format-', '', $preston_post_format);
$preston_animation = preston_get_theme_option('blog_animation');
$preston_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($preston_columns).' post_format_'.esc_attr($preston_post_format) ); ?>
	<?php echo (!preston_is_off($preston_animation) ? ' data-animation="'.esc_attr(preston_get_animation_classes($preston_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($preston_image[1]) && !empty($preston_image[2])) echo intval($preston_image[1]) .'x' . intval($preston_image[2]); ?>"
	data-src="<?php if (!empty($preston_image[0])) echo esc_url($preston_image[0]); ?>"
	>

	<?php
	$preston_image_hover = 'icon';
	if (in_array($preston_image_hover, array('icons', 'zoom'))) $preston_image_hover = 'dots';
	// Featured image
	preston_show_post_featured(array(
		'hover' => $preston_image_hover,
		'thumb_size' => preston_get_thumb_size( strpos(preston_get_theme_option('body_style'), 'full')!==false || $preston_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. preston_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => true,
									'counters' => 'comments',
									'echo' => false
									))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'preston') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>