<?php
/**
 * The Portfolio template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

$preston_blog_style = explode('_', preston_get_theme_option('blog_style'));
$preston_columns = empty($preston_blog_style[1]) ? 2 : max(2, $preston_blog_style[1]);
$preston_post_format = get_post_format();
$preston_post_format = empty($preston_post_format) ? 'standard' : str_replace('post-format-', '', $preston_post_format);
$preston_animation = preston_get_theme_option('blog_animation');

if (!in_array($preston_post_format, array('audio', 'quote'))) {
?><article id="post-<?php the_ID(); ?>" 
	<?php post_class('post_item post_layout_portfolio post_layout_portfolio_' . esc_attr($preston_columns) . ' post_format_' . esc_attr($preston_post_format)); ?>
	<?php echo(!preston_is_off($preston_animation) ? ' data-animation="' . esc_attr(preston_get_animation_classes($preston_animation)) . '"' : ''); ?>
	>

	<?php
	$preston_image_hover = preston_get_theme_option('image_hover');
	// Featured image
	preston_show_post_featured(array(
        'thumb_size' => preston_get_thumb_size(strpos(preston_get_theme_option('body_style'), 'full') !== false || $preston_columns < 3 ? 'masonry-big' : 'masonry'),
        'show_no_image' => true,
        'class' => $preston_image_hover == 'dots' ? 'hover_with_info' : '',
        'post_info' => $preston_image_hover == 'dots' ? '<div class="post_info">' . esc_html(get_the_title()) . '</div>' : ''
    ));
	?>
</article>
<?php
}