<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

						// Widgets area inside page content
						preston_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					preston_create_widgets_area('widgets_below_page');

					$preston_body_style = preston_get_theme_option('body_style');
					if ($preston_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			$preston_footer_scheme =  preston_is_inherit(preston_get_theme_option('footer_scheme')) ? preston_get_theme_option('color_scheme') : preston_get_theme_option('footer_scheme');
            $preston_footer_image = preston_get_theme_option('footer_image');
			?>
			
			<footer class="site_footer_wrap scheme_<?php echo esc_attr($preston_footer_scheme);
            if ($preston_footer_image!='') echo ' '.esc_attr(preston_add_inline_style('background-image: url('.esc_url($preston_footer_image).');'));
            ?>">
				<?php
				// Footer sidebar
				$preston_footer_name = preston_get_theme_option('footer_widgets');
				$preston_footer_present = !preston_is_off($preston_footer_name) && is_active_sidebar($preston_footer_name);
				if ($preston_footer_present) { 
					preston_storage_set('current_sidebar', 'footer');
					$preston_footer_wide = preston_get_theme_option('footer_wide');
					ob_start();
					do_action( 'preston_action_before_sidebar' );

                    if ( is_active_sidebar( $preston_footer_name ) ) {
                        dynamic_sidebar( $preston_footer_name );
                    }

					do_action( 'preston_action_after_sidebar' );
					$preston_out = ob_get_contents();
					ob_end_clean();
					$preston_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $preston_out);
					$preston_need_columns = true;
					if ($preston_need_columns) {
						$preston_columns = max(0, (int) preston_get_theme_option('footer_columns'));
						if ($preston_columns == 0) $preston_columns = min(6, max(1, substr_count($preston_out, '<aside ')));
						if ($preston_columns > 1)
							$preston_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($preston_columns).' widget ', $preston_out);
						else
							$preston_need_columns = false;
					}
					?>
					<div class="footer_wrap widget_area<?php echo !empty($preston_footer_wide) ? ' footer_fullwidth' : ''; ?>">
						<div class="footer_wrap_inner widget_area_inner">
							<?php 
							if (!$preston_footer_wide) { 
								?><div class="content_wrap"><?php
							}
							if ($preston_need_columns) {
								?><div class="columns_wrap"><?php
							}
							preston_show_layout($preston_out);
							if ($preston_need_columns) {
								?></div><!-- /.columns_wrap --><?php
							}
							if (!$preston_footer_wide) {
								?></div><!-- /.content_wrap --><?php
							}
							?>
						</div><!-- /.footer_wrap_inner -->
					</div><!-- /.footer_wrap -->
				<?php
				}
	
				// Logo
				if (preston_is_on(preston_get_theme_option('logo_in_footer'))) {
					$preston_logo_image = '';
					if (preston_get_retina_multiplier(2) > 1)
						$preston_logo_image = preston_get_theme_option( 'logo_footer_retina' );
					if (empty($preston_logo_image)) 
						$preston_logo_image = preston_get_theme_option( 'logo_footer' );
					$preston_logo_text   = get_bloginfo( 'name' );
					if (!empty($preston_logo_image) || !empty($preston_logo_text)) {
						?>
						<div class="logo_footer_wrap">
							<div class="logo_footer_wrap_inner">
								<?php
								if (!empty($preston_logo_image)) {
									$preston_attr = preston_getimagesize($preston_logo_image);
									echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($preston_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('Image', 'preston').'"'.(!empty($preston_attr[3]) ? sprintf(' %s', $preston_attr[3]) : '').'></a>' ;
								} else if (!empty($preston_logo_text)) {
									echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($preston_logo_text) . '</a></h1>';
								}
								?>
							</div>
						</div>
						<?php
					}
				}

				// Socials
				if ( preston_is_on(preston_get_theme_option('socials_in_footer')) && ($preston_output = preston_get_socials_links()) != '') {
					?>
					<div class="socials_footer_wrap socials_wrap">
						<div class="socials_footer_wrap_inner">
							<?php preston_show_layout($preston_output); ?>
						</div>
					</div>
					<?php
				}
				
				// Footer menu
				$preston_menu_footer = preston_get_nav_menu('menu_footer');
				if (!empty($preston_menu_footer)) {
					?>
					<div class="menu_footer_wrap">
						<div class="menu_footer_wrap_inner">
							<?php preston_show_layout($preston_menu_footer); ?>
						</div>
					</div>
					<?php
				}
				
				// Copyright area
				$preston_copyright_scheme = preston_is_inherit(preston_get_theme_option('copyright_scheme')) ? $preston_footer_scheme : preston_get_theme_option('copyright_scheme');
				?> 
				<div class="copyright_wrap scheme_<?php echo esc_attr($preston_copyright_scheme); ?>">
					<div class="copyright_wrap_inner">
						<div class="content_wrap">
							<div class="copyright_text"><?php
								$preston_copyright = preston_prepare_macros(preston_get_theme_option('copyright'));
								if (!empty($preston_copyright)) {
									if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $preston_copyright, $preston_matches)) {
										$preston_copyright = str_replace($preston_matches[1], date(str_replace(array('{', '}'), '', $preston_matches[1])), $preston_copyright);
									}
									preston_show_layout(nl2br($preston_copyright));
								}
							?></div>
						</div>
					</div>
				</div>

			</footer><!-- /.site_footer_wrap -->
			
		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (preston_is_on(preston_get_theme_option('debug_mode')) && file_exists(preston_get_file_dir('images/makeup.jpg'))) { ?>
		<img src="<?php echo esc_url(preston_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>