<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'preston_cf7_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'preston_cf7_theme_setup9', 9 );
	function preston_cf7_theme_setup9() {
		if ( preston_exists_cf7() ) {
			add_filter( 'preston_filter_merge_scripts', 'preston_cf7_merge_scripts' );
			add_action( 'wp_enqueue_scripts', 'preston_cf7_frontend_scripts', 1100 );
		}

		if ( is_admin() ) {
			add_filter( 'preston_filter_tgmpa_required_plugins', 'preston_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'preston_cf7_tgmpa_required_plugins' ) ) {
	function preston_cf7_tgmpa_required_plugins( $list = array() ) {
		if ( in_array( 'contact-form-7', preston_storage_get('required_plugins'))) {
			// CF7 plugin
			$list[] = array(
				'name' 		=> esc_html__('Contact Form 7', 'preston'),
				'slug'     => 'contact-form-7',
				'required' => false,
			);			
		}
		return $list;
	}
}



// Check if cf7 installed and activated
if ( ! function_exists( 'preston_exists_cf7' ) ) {
	function preston_exists_cf7() {
		return class_exists( 'WPCF7' );
	}
}

// Enqueue VC custom styles
if ( !function_exists( 'preston_cf7_frontend_scripts' ) ) {
	function preston_cf7_frontend_scripts() {
		if (preston_exists_cf7()) {
			if (preston_is_on(preston_get_theme_option('debug_mode')) && file_exists(preston_get_file_dir('plugins/contact-form-7/contact-form-7.js'))) {
				wp_enqueue_script( 'preston-cf7', preston_get_file_url('plugins/contact-form-7/contact-form-7.js'), array('jquery'), null, true  );
			}
		}
	}
}

// Merge custom scripts
if ( ! function_exists( 'preston_cf7_merge_scripts' ) ) {
	function preston_cf7_merge_scripts( $list ) {
		$list[] = 'plugins/contact-form-7/contact-form-7.js';
		return $list;
	}
}