<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('preston_cooked_theme_setup9')) {
    add_action( 'after_setup_theme', 'preston_cooked_theme_setup9', 9 );
    function preston_cooked_theme_setup9() {
        if (is_admin()) {
            add_filter( 'preston_filter_tgmpa_required_plugins',			'preston_cooked_tgmpa_required_plugins' );
        }
    }
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'preston_exists_cooked' ) ) {
    function preston_exists_cooked() {
        return function_exists('Cooked');
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'preston_cooked_tgmpa_required_plugins' ) ) {
    function preston_cooked_tgmpa_required_plugins($list=array()) {
        if (in_array('cooked', preston_storage_get('required_plugins'))){
            $path = preston_get_file_dir('plugins/cooked/cooked.zip');
            // CF7 plugin
            $list[] = array(
                'name' 		=> esc_html__('Cooked', 'preston'),
                'slug' 		=> 'cooked',
                'version'	=> '1.7.13',
                'source'	=> !empty($path) ? $path : 'upload://cooked.zip',
                'required' 	=> false
            );
        }
        return $list;
    }
}


