<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'preston_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'preston_trx_updater_theme_setup9', 9 );
    function preston_trx_updater_theme_setup9() {

        if ( is_admin() ) {
            add_filter( 'preston_filter_tgmpa_required_plugins', 'preston_trx_updater_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'preston_trx_updater_tgmpa_required_plugins' ) ) {
    
    
    function preston_trx_updater_tgmpa_required_plugins($list=array()) {
        if (in_array('trx_updater', preston_storage_get('required_plugins'))) {
            $path = preston_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                    'name'      => esc_html__('ThemeREX Updater', 'preston'),
                    'slug'      => 'trx_updater',
                    'version'   => '2.1.0',
                    'source'    => !empty($path) ? $path : 'upload://trx_updater.zip',
                    'required'  => false
            );
        }
        return $list;
    }
    
}



// Check if trx_updater installed and activated
if ( ! function_exists( 'preston_exists_trx_updater' ) ) {
    function preston_exists_trx_updater() {
        return defined( 'TRX_UPDATER_VERSION' );
    }
}