<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

$preston_sidebar_position = preston_get_theme_option('sidebar_position');
if (preston_sidebar_present()) {
	$preston_sidebar_name = preston_get_theme_option('sidebar_widgets');
	preston_storage_set('current_sidebar', 'sidebar');
	?>
	<div class="sidebar <?php echo esc_attr($preston_sidebar_position); ?> widget_area<?php if (!preston_is_inherit(preston_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(preston_get_theme_option('sidebar_scheme')); ?>" role="complementary">
		<div class="sidebar_inner">
			<?php
			ob_start();
			do_action( 'preston_action_before_sidebar' );

            if ( is_active_sidebar( $preston_sidebar_name ) ) {
                dynamic_sidebar( $preston_sidebar_name );
            }
			do_action( 'preston_action_after_sidebar' );
			$preston_out = ob_get_contents();
			ob_end_clean();
			preston_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $preston_out));
			?>
		</div><!-- /.sidebar_inner -->
	</div><!-- /.sidebar -->
	<?php
}
?>