<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0.06
 */

$preston_header_css = $preston_header_image = '';
$preston_header_video = wp_is_mobile() ? '' : preston_get_theme_option('header_video');
if (true || empty($preston_header_video)) {
	$preston_header_image = get_header_image();
	if (preston_is_on(preston_get_theme_option('header_image_override')) && apply_filters('preston_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($preston_cat_img = preston_get_category_image()) != '')
				$preston_header_image = $preston_cat_img;
		} else if (is_singular() || preston_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$preston_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($preston_header_image)) $preston_header_image = $preston_header_image[0];
			} else
				$preston_header_image = '';
		}
	}
}

// Store header image for navi
set_query_var('preston_header_image', $preston_header_image || $preston_header_video);

// Get post with custom header
$preston_header_id = str_replace('header-custom-', '', preston_get_theme_option("header_style"));
$preston_header_post = get_post($preston_header_id);

if (!empty($preston_header_post->post_content)) {
	?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($preston_header_id);
						echo !empty($preston_header_image) || !empty($preston_header_video) ? ' with_bg_image' : ' without_bg_image';
						if ($preston_header_video!='') echo ' with_bg_video';
						if ($preston_header_image!='') echo ' '.esc_attr(preston_add_inline_style('background-image: url('.esc_url($preston_header_image).');'));
						if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
						if (preston_is_on(preston_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(preston_is_inherit(preston_get_theme_option('header_scheme')) 
														? preston_get_theme_option('color_scheme') 
														: preston_get_theme_option('header_scheme'));
						?>"><?php
		
		preston_show_layout(do_shortcode($preston_header_post->post_content));
		
	?></header><?php
}
?>