<?php
/**
 * The template for displaying Logo or Site name and slogan in the Header
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

// Site logo
$preston_logo_image = '';
if (preston_get_retina_multiplier(2) > 1)
	$preston_logo_image = preston_get_theme_option( 'logo_retina' );
if (empty($preston_logo_image)) 
	$preston_logo_image = preston_get_theme_option( 'logo' );
$preston_logo_text   = get_bloginfo( 'name' );
$preston_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($preston_logo_image) || !empty($preston_logo_text)) {
	?><a class="logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($preston_logo_image)) {
			$preston_attr = preston_getimagesize($preston_logo_image);
			echo '<img src="'.esc_url($preston_logo_image).'" class="logo_main" alt="'.esc_attr__('Image', 'preston').'"'.(!empty($preston_attr[3]) ? sprintf(' %s', $preston_attr[3]) : '').'>' ;
		} else {
			preston_show_layout(preston_prepare_macros($preston_logo_text), '<span class="logo_text">', '</span>');
			preston_show_layout(preston_prepare_macros($preston_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>