<?php
/**
 * The template for displaying main menu
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */
$preston_header_image = get_query_var('preston_header_image');
?>
<div class="top_panel_fixed_wrap"></div>
<div class="top_panel_navi 
			<?php if ($preston_header_image!='') echo ' with_bg_image'; ?>
			scheme_<?php echo esc_attr(preston_is_inherit(preston_get_theme_option('menu_scheme'))
												? (preston_is_inherit(preston_get_theme_option('header_scheme')) 
													? preston_get_theme_option('color_scheme') 
													: preston_get_theme_option('header_scheme')) 
												: preston_get_theme_option('menu_scheme')); ?>">
	<div class="header_main_wrap">
		<div class="content_wrap">
			<?php
			// Filter header components
			$preston_header_parts = apply_filters('preston_filter_header_parts', array(
				'logo' => true,
				'menu' => true,
				'search' => true
				),
				'menu_main');
			
			// Logo
			if (!empty($preston_header_parts['logo'])) {
				get_template_part( 'templates/header-logo' );
			}

            // Display search field
            if (!empty($preston_header_parts['search']) && function_exists('trx_addons_init')) {
                set_query_var('preston_search_in_header', true);
                get_template_part( 'templates/search-field' );
            }

            //Cart in header
            if ( (preston_get_theme_option('show_cart_header') == '1') && !(is_checkout() || is_cart()) ) {
                ?>
                <div class="contact_field contact_cart"><?php
                    get_template_part('templates/contact-info-cart');
                    ?>
                </div>
            <?php
            }
			?>
		</div>
	</div>
    <div class="menu_main_wrap clearfix menu_hover_<?php echo esc_attr(preston_get_theme_option('menu_hover')); ?>">
        <div class="content_wrap">
            <?php
            // Main menu
            if (!empty($preston_header_parts['menu'])) {
                $preston_preston_menu_main = preston_get_nav_menu('menu_main');
                if (empty($preston_preston_menu_main)) $preston_preston_menu_main = preston_get_nav_menu();
                preston_show_layout($preston_preston_menu_main);
                // Store menu layout for the mobile menu
                set_query_var('preston_menu_main', $preston_preston_menu_main);
            }
            ?>
        </div>
    </div>
</div><!-- /.top_panel_navi -->