<?php
/**
 * The template for displaying Page title and Breadcrumbs
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

// Page (category, tag, archive, author) title

if ( preston_need_page_title() ) {
	set_query_var('preston_title_showed', true);
	$preston_top_icon = preston_get_category_icon();

    $preston_header_css = $preston_header_image = '';
    $preston_header_video = wp_is_mobile() ? '' : preston_get_theme_option('header_video');
    if (true || empty($preston_header_video)) {
        $preston_header_image = get_header_image();
        if (preston_is_on(preston_get_theme_option('header_image_override')) && apply_filters('preston_filter_allow_override_header_image', true)) {
            if (is_category()) {
                if (($preston_cat_img = preston_get_category_image()) != '')
                    $preston_header_image = $preston_cat_img;
            } else if (is_singular() || preston_storage_isset('blog_archive')) {
                if (has_post_thumbnail()) {
                    $preston_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
                    if (is_array($preston_header_image)) $preston_header_image = $preston_header_image[0];
                } else
                    $preston_header_image = '';
            }
        }
    }

    ?>
    <div class="top_panel_title_wrap<?php
    if ($preston_header_image!='') echo ' '.esc_attr(preston_add_inline_style('background-image: url('.esc_url($preston_header_image).');'));
    ?>">
		<div class="content_wrap">
			<div class="top_panel_title">
				<div class="page_title">
					<?php
					
					// Blog/Post title
					$preston_blog_title = preston_get_blog_title();
					$preston_blog_title_text = $preston_blog_title_class = $preston_blog_title_link = $preston_blog_title_link_text = '';
					if (is_array($preston_blog_title)) {
						$preston_blog_title_text = $preston_blog_title['text'];
						$preston_blog_title_class = !empty($preston_blog_title['class']) ? ' '.$preston_blog_title['class'] : '';
						$preston_blog_title_link = !empty($preston_blog_title['link']) ? $preston_blog_title['link'] : '';
						$preston_blog_title_link_text = !empty($preston_blog_title['link_text']) ? $preston_blog_title['link_text'] : '';
					} else
						$preston_blog_title_text = $preston_blog_title;
					?>
					<h1 class="page_caption<?php echo esc_attr($preston_blog_title_class); ?>"><?php
						if (!empty($preston_top_icon)) {
							?><img src="<?php echo esc_url($preston_top_icon); ?>" alt="<?php esc_attr__('Image', 'preston') ?>"><?php
						}
						echo wp_kses($preston_blog_title_text, 'preston_kses_content');
					?></h1>
					<?php
					if (!empty($preston_blog_title_link) && !empty($preston_blog_title_link_text)) {
						?><a href="<?php echo esc_url($preston_blog_title_link); ?>" class="theme_button theme_button_small page_title_link"><?php echo esc_html($preston_blog_title_link_text); ?></a><?php
					}
					
					// Category/Tag description
					if ( is_category() || is_tag() || is_tax() ) 
						the_archive_description( '<div class="page_description">', '</div>' );
					?>
				</div>
				<?php
				// Breadcrumbs
				if (preston_is_on(preston_get_theme_option('show_breadcrumbs'))) {
					preston_show_layout(preston_get_breadcrumbs(), '<div class="breadcrumbs">', '</div>');
				}
				?>
			</div>
		</div>
	</div>
	<?php
}
?>