<?php
/**
 * The template for displaying Header widgets area
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

// Header sidebar
$preston_header_name = preston_get_theme_option('header_widgets');
$preston_header_present = !preston_is_off($preston_header_name) && is_active_sidebar($preston_header_name);
if ($preston_header_present) { 
	preston_storage_set('current_sidebar', 'header');
	$preston_header_wide = preston_get_theme_option('header_wide');
	ob_start();
	do_action( 'preston_action_before_sidebar' );

    if ( is_active_sidebar( $preston_header_name ) ) {
        dynamic_sidebar( $preston_header_name );
    }

	do_action( 'preston_action_after_sidebar' );
	$preston_widgets_output = ob_get_contents();
	ob_end_clean();
	$preston_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $preston_widgets_output);
	$preston_need_columns = strpos($preston_widgets_output, 'columns_wrap')===false;
	if ($preston_need_columns) {
		$preston_columns = max(0, (int) preston_get_theme_option('header_columns'));
		if ($preston_columns == 0) $preston_columns = min(6, max(1, substr_count($preston_widgets_output, '<aside ')));
		if ($preston_columns > 1)
			$preston_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($preston_columns).' widget ', $preston_widgets_output);
		else
			$preston_need_columns = false;
	}
	?>
	<div class="header_widgets_wrap widget_area<?php echo !empty($preston_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
		<div class="header_widgets_wrap_inner widget_area_inner">
			<?php 
			if (!$preston_header_wide) { 
				?><div class="content_wrap"><?php
			}
			if ($preston_need_columns) {
				?><div class="columns_wrap"><?php
			}
			preston_show_layout($preston_widgets_output);
			if ($preston_need_columns) {
				?></div>	<!-- /.columns_wrap --><?php
			}
			if (!$preston_header_wide) {
				?></div>	<!-- /.content_wrap --><?php
			}
			?>
		</div>	<!-- /.header_widgets_wrap_inner -->
	</div>	<!-- /.header_widgets_wrap -->
<?php
}
?>