<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

// Thumb image
$preston_thumb_image = has_post_thumbnail() 
			? wp_get_attachment_image_src(get_post_thumbnail_id(), preston_get_thumb_size('medium')) 
			: ( (float) wp_get_theme()->get('Version') > 1.0
					? preston_get_no_image_placeholder()
					: ''
				);
if (is_array($preston_thumb_image)) $preston_thumb_image = $preston_thumb_image[0];
$preston_link = get_permalink();
$preston_hover = preston_get_theme_option('image_hover');
?>
<div class="related_item related_item_style_2">
	<?php if (!empty($preston_thumb_image)) { ?>
		<div class="post_featured<?php
					if (has_post_thumbnail()) echo ' hover_'.esc_attr($preston_hover); 
					echo ' ' . esc_attr(preston_add_inline_style('background-image:url('.esc_url($preston_thumb_image).');'));
					?>">
			<?php
			if (has_post_thumbnail()) {
				?><div class="mask"></div><?php
				preston_hovers_add_icons($preston_hover);
			}
			?>
		</div>
	<?php } ?>
	<div class="post_header entry-header">
		<?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?><span class="post_date"><a href="<?php echo esc_url($preston_link); ?>"><?php echo preston_get_date(); ?></a></span><?php
		}
		?>
		<h4 class="post_title entry-title"><a href="<?php echo esc_url($preston_link); ?>"><?php echo the_title(); ?></a></h4>
	</div>
</div>
