<?php
/**
 * The template for displaying posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage PRESTON
 * @since PRESTON 1.0
 */

$preston_post_id    = get_the_ID();
$preston_post_date  = preston_get_date();
$preston_post_title = get_the_title();
$preston_post_link  = get_permalink();
$preston_post_author_id   = get_the_author_meta('ID');
$preston_post_author_name = get_the_author_meta('display_name');
$preston_post_author_url  = get_author_posts_url($preston_post_author_id, '');

$preston_args = get_query_var('preston_args_widgets_posts');
$preston_show_date = isset($preston_args['show_date']) ? (int) $preston_args['show_date'] : 1;
$preston_show_image = isset($preston_args['show_image']) ? (int) $preston_args['show_image'] : 1;
$preston_show_author = isset($preston_args['show_author']) ? (int) $preston_args['show_author'] : 1;
$preston_show_counters = isset($preston_args['show_counters']) ? (int) $preston_args['show_counters'] : 1;
$preston_show_categories = isset($preston_args['show_categories']) ? (int) $preston_args['show_categories'] : 1;

$preston_output = preston_storage_get('preston_output_widgets_posts');

$preston_post_counters_output = '';
if ( $preston_show_counters ) {
	$preston_post_counters_output = '<span class="post_info_item post_info_counters">'
								. preston_get_post_counters('comments')
							. '</span>';
}


$preston_output .= '<article class="post_item with_thumb">';

if ($preston_show_image) {
	$preston_post_thumb = get_the_post_thumbnail($preston_post_id, preston_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($preston_post_thumb) $preston_output .= '<div class="post_thumb">' . ($preston_post_link ? '<a href="' . esc_url($preston_post_link) . '">' : '') . ($preston_post_thumb) . ($preston_post_link ? '</a>' : '') . '</div>';
}

$preston_output .= '<div class="post_content">'
			. ($preston_show_categories 
					? '<div class="post_categories">'
						. preston_get_post_categories()
						. $preston_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($preston_post_link ? '<a href="' . esc_url($preston_post_link) . '">' : '') . ($preston_post_title) . ($preston_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('preston_filter_get_post_info', 
								'<div class="post_info">'
									. ($preston_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($preston_post_link ? '<a href="' . esc_url($preston_post_link) . '" class="post_info_date">' : '') 
											. esc_html($preston_post_date) 
											. ($preston_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($preston_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'preston') . ' ' 
											. ($preston_post_link ? '<a href="' . esc_url($preston_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($preston_post_author_name) 
											. ($preston_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$preston_show_categories && $preston_post_counters_output
										? $preston_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
preston_storage_set('preston_output_widgets_posts', $preston_output);
?>