<?php

if ( !function_exists('preston_specific_theme_setup1') ) {
    add_action( 'after_setup_theme', 'preston_specific_theme_setup1', 1 );

    function preston_specific_theme_setup1() {

        //Add new styles
        add_filter('trx_addons_sc_type',     'preston_specific_sc_add_type', 10, 2);

        //Add new params
        add_filter('trx_addons_sc_map',      'preston_specific_sc_add_map', 10, 2);

        //Add new atts to shortcode
        add_filter('trx_addons_sc_atts',     'preston_specific_sc_atts', 10, 2);

        //Add new title style
        add_filter('trx_addons_sc_title_style',     'preston_sc_title_style', 10, 2);
    }
}


if ( !function_exists('preston_specific_sc_add_type') ) {
    function preston_specific_sc_add_type($list, $sc) {
        if($sc == 'trx_sc_action') {
            $list[ esc_html__('Banner', 'preston') ] = 'banner';
            $list[ esc_html__('Promo', 'preston') ] = 'promo';
        }
        if($sc == 'trx_sc_team') {
            $list[ esc_html__('Default with background', 'preston') ] = 'team_bg';
        }
        if($sc == 'trx_sc_blogger') {
            $list[ esc_html__('Recipes', 'preston') ] = 'recipes';
        }
        return $list;
    }
}


if ( !function_exists('preston_sc_title_style') ) {
    function preston_sc_title_style($list, $sc) {
        if($sc == 'trx_sc_title') {
            $list[ esc_html__('Small title', 'preston') ] = 'small_title';
            $list[ esc_html__('Title with big text', 'preston') ] = 'title_big_text';
            $list[ esc_html__('Title with small text', 'preston') ] = 'title_small_text';
        }
        return $list;
    }
}

// Add params to the shortcode
if ( !function_exists('preston_specific_sc_add_map') ) {
    function preston_specific_sc_add_map($params, $sc) {
        //Price period
        if (in_array($sc, array('trx_sc_price'))) {
            $params['params'][] = array(
                "param_name" => "price_period",
                "heading" => esc_html__("Enter price period", 'preston'),
                "description" => wp_kses_data( __("Enter price period", 'preston') ),
                'type' => 'textfield'
            );
        }
        return $params;
    }
}

// Add params to the default shortcode's atts
if ( !function_exists( 'preston_specific_sc_atts' ) ) {
    function preston_specific_sc_atts($atts, $sc) {
        // Price period
        if ($sc == 'trx_sc_price')
            $atts['price_period'] = '';
        return $atts;
    }
}

?>